Query Parked Calls
Query the information of parked calls, including the parker number, parked number, parking slot number, and allowed call parking time.
Request URL
GET {base_url}/{api_path}/call/park_status?access_token={access_token}
Request parameters
No request parameters. Send the request URL directly to query the information of parked calls.
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Array<ParkInfos> | The information for parked calls. |
ParkInfos
| Parameter | Type | Description |
|---|---|---|
| parker | String | The extension number that requests call parking. |
| parked_party | String | The parked number. |
| parking_slot | String | Parking slot number, the call is parked to this parking slot. |
| park_time | Integer | The time that a call can be parked before it is retrieved. |
| channel_id | String | The channel ID of the parked party. |
Examples
Request example
GET /openapi/v1.0/call/park_status?access_token=g4lWdVXylJkWda917o7bjPqCAa4dVZAh HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": [
{
"parker": "2008",
"parked_party": "2010",
"parking_slot": "6000",
"park_time": 60,
"channel_id": "PJSIP/2010-000000a4"
},
{
"parker": "2005",
"parked_party": "5503301",
"parking_slot": "6001",
"park_time": 60,
"channel_id": "PJSIP/trunk-test-peer-trunking-endpoint-000000a7"
}
]
}